complexType "ExtendibleProvision"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, exercise?, exerciseNotice?, followUpConfirmation?, extendibleProvisionAdjustedDates?
</...>

Content Model Elements (8):

  buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), exercise, exerciseNotice (in extendibleProvision), | extendibleProvisionAdjustedDates, followUpConfirmation (in extendibleProvision), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

All Direct / Indirect Based Elements (1):

  extendibleProvision

Known Usage Locations

- As direct type of elements (1):
  extendibleProvision

Annotation
A type defining an option to extend an existing swap transaction on the specified exercise dates for a term ending on the specified new termination date.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ExtendibleProvision"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="extendibleProvisionAdjustedDates" type="ExtendibleProvisionAdjustedDates"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/8)
exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="exercise"/>

exerciseNotice

  Type: | ExerciseNotice, complex content

  Definition of the party to whom notice of exercise should be given.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"/>

extendibleProvisionAdjustedDates

  Type: | ExtendibleProvisionAdjustedDates, complex content

  The adjusted dates associated with an extendible provision. These dates have been adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extendibleProvisionAdjustedDates" type="ExtendibleProvisionAdjustedDates"/>

followUpConfirmation

  Type: | xsd:boolean, predefined, simple content

  A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.